commit:     5c59b6a1121256b0e806c34f6381452ddc38edfc
Author:     Z. Liu <zhixu.liu <AT> gmail <DOT> com>
AuthorDate: Thu Jan 23 07:17:40 2025 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Mar  1 14:59:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5c59b6a1

net-misc/seafile: add 9.0.11

Signed-off-by: Z. Liu <zhixu.liu <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-misc/seafile/Manifest              |  1 +
 net-misc/seafile/metadata.xml          |  9 ++++-
 net-misc/seafile/seafile-9.0.11.ebuild | 62 ++++++++++++++++++++++++++++++++++
 3 files changed, 71 insertions(+), 1 deletion(-)

diff --git a/net-misc/seafile/Manifest b/net-misc/seafile/Manifest
index f68e701ab4fd..523d2daf8151 100644
--- a/net-misc/seafile/Manifest
+++ b/net-misc/seafile/Manifest
@@ -1 +1,2 @@
+DIST seafile-9.0.11.tar.gz 765322 BLAKE2B 
7d82a919d64023b5d040e4a344da78b55568474900951c0e4ac4a7812436e501c09dd897d9746fa29b1a9b3deb737452258737b678f39a6d5c449770e0433258
 SHA512 
01f72387eed465a71d72b0a707d8edc1b2b4f758157e586d2c17bca9dc3001e7e9296d1addc2efaf0629ca318e233a2268e7cdf4b24de963e7030cb571d03a8e
 DIST seafile-9.0.3.tar.gz 752618 BLAKE2B 
fc03756934ed36bf6706250e8a41a8d069a4cf0d69fcb76a44acd3a134a80e0705e72cfa1b8e44d1d4cf01e7f94e5781da3e3af88fc9f2cc4cfccbc8ecc15e11
 SHA512 
07312e56d642de63a5621870d6fe5ff42a0545d5b7def020dabdd36c9a06500c86801a02138de9e3dc6ff16cfdda43b59d651a08395207e108692cfa61db027f

diff --git a/net-misc/seafile/metadata.xml b/net-misc/seafile/metadata.xml
index 8864ea04f064..4d8d8a50d567 100644
--- a/net-misc/seafile/metadata.xml
+++ b/net-misc/seafile/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-       <!-- maintainer-needed -->
+       <maintainer type="person" proxied="yes">
+               <email>zhixu....@gmail.com</email>
+               <name>Z. Liu</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>proxy-ma...@gentoo.org</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
        <upstream>
                <remote-id type="github">haiwen/seafile</remote-id>
        </upstream>

diff --git a/net-misc/seafile/seafile-9.0.11.ebuild 
b/net-misc/seafile/seafile-9.0.11.ebuild
new file mode 100644
index 000000000000..e559f6b0700d
--- /dev/null
+++ b/net-misc/seafile/seafile-9.0.11.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+# Upstream is moving tags repeatedly, then we use commit hash.
+RELEASE_COMMIT="3a5ab2a38a1a751e559ce9e4c79ac330f966c8af"
+
+inherit autotools python-single-r1 vala
+
+DESCRIPTION="File syncing and sharing software with file encryption and group 
sharing"
+HOMEPAGE="https://www.seafile.com/ https://github.com/haiwen/seafile/";
+SRC_URI="https://github.com/haiwen/${PN}/archive/${RELEASE_COMMIT}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${RELEASE_COMMIT}"
+
+LICENSE="GPL-2+-with-openssl-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+       app-crypt/argon2
+       dev-libs/openssl:=
+       dev-db/sqlite:3
+       dev-libs/glib:2
+       dev-libs/jansson:=
+       dev-libs/libevent:=
+       net-libs/libsearpc[${PYTHON_SINGLE_USEDEP}]
+       net-libs/libwebsockets[client]
+       net-misc/curl
+       sys-apps/util-linux
+       sys-libs/zlib
+       elibc_musl? ( sys-libs/fts-standalone )"
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+       $(vala_depend)"
+
+pkg_setup() {
+       python-single-r1_pkg_setup
+       vala_setup
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-static
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       # Remove unnecessary .la files
+       find "${ED}" -name '*.la' -delete || die
+       python_fix_shebang "${ED}"/usr/bin/seaf-cli
+}

Reply via email to